Error updating-missing files from Packman

Hi

some minutes ago the Apper applet warned me that I had some stuff to update so I did as always a zypper update from terminal but it ended up with this:

:~> sudo zypper update
root's password:
Lettura dei dati del repository in corso...
Lettura dei pacchetti installati in corso...

I seguenti 48 aggiornamenti di pacchetto NON verranno installati:
  amarok apper appmenu-qt bluedevil bluedevil-lang choqok cln digikam
  digikam-doc fdupes gstreamer-0_10-plugin-gnomevfs gstreamer-plugins-qt
  gtk2-engine-oxygen gtk2-theme-oxygen kaffeine kde-gtk-config kio_iso
  kipi-plugins kipi-plugins-acquireimage kipi-plugins-geolocation
  kipi-plugins-lang konversation konversation-lang ksshaskpass ktorrent kvkbd
  lensfun-data libbluedevil2 libbluray1 libdvdread4 libepub0 liblensfun0
  libloudmouth-1-0 libodfgen-0_1-1 libopencv2_4 libqalculate5
  libstreamanalyzer0 libtag-extras1 libtelepathy-qt4-2 libwebp5 mjpegtools
  moodbar python3-setuptools python-setuptools skanlite skanlite-doc
  skanlite-lang synaptiks

I seguenti 25 pacchetti stanno per essere aggiornati:
  conky ffmpeg gstreamer gstreamer-0_10-plugin-esd gstreamer-0_10-plugins-good
  gstreamer-0_10-plugins-good-extra gstreamer-lang libavcodec52 libavcodec56
  libavdevice52 libavdevice56 libavfilter1 libavfilter5 libavformat52
  libavformat56 libavresample2 libavutil50 libavutil54 libgstreamer-1_0-0
  libpostproc53 libswresample1 libswscale0 libswscale3 libx264-148 xine-ui

25 pacchetti da aggiornare.
Dimensione complessiva scaricata: 3,4 MiB. Già nella cache: 11,1 MiB. Nessun
spazio aggiuntivo verrà usato o liberato dopo questa operazione.
Continuare? [s/n/? mostra tutte le opzioni] (s): s
Nella cache conky-1.10.0-28.1.x86_64.rpm (1/25), 372,3 KiB (estratto   1,3 MiB)
Nella cache xine-ui-0.99.9-50.56.x86_64.rpm
                                         (2/25),   1,6 MiB (estratto   3,1 MiB)
Recupero di pacchetto libx264-148-0.148svn20150804-1.2.x86_64
                                         (3/25), 356,0 KiB (estratto 995,8 KiB)
Recupero di: libx264-148-0.148svn20150804-1.2.x86_64.rpm ..............[errore]
File './Essentials/x86_64/libx264-148-0.148svn20150804-1.2.x86_64.rpm' non trovato nel supporto 'http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_13.2/'    

Annullare, riprovare, ignorare? [a/r/i/? mostra tutte le opzioni] (a): i
Attenzione: Si è scelto di ignorare un problema con lo scaricamento o l'installazione di un pacchetto che potrebbe portare a non soddisfare le dipendenze di altri pacchetti. Si raccomanda di lanciare 'zypper verify' dopo che l'operazione è terminata.
Nella cache libavutil54-2.8.3-44.1.x86_64.rpm
                                         (4/25), 140,7 KiB (estratto 310,8 KiB)
Nella cache libavutil50-0.7.16-5.1.x86_64.rpm
                                         (5/25),  55,8 KiB (estratto 116,8 KiB)
Recupero di pacchetto gstreamer-1.6.1-61.8.x86_64
                                         (6/25), 801,0 KiB (estratto   4,1 MiB)
Recupero di: gstreamer-1.6.1-61.8.x86_64.rpm ..........................[errore]
File './Essentials/x86_64/gstreamer-1.6.1-61.8.x86_64.rpm' non trovato nel supporto 'http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_13.2/'                

Annullare, riprovare, ignorare? [a/r/i/? mostra tutte le opzioni] (a): i
Attenzione: Si è scelto di ignorare un problema con lo scaricamento o l'installazione di un pacchetto che potrebbe portare a non soddisfare le dipendenze di altri pacchetti. Si raccomanda di lanciare 'zypper verify' dopo che l'operazione è terminata.
Recupero di pacchetto gstreamer-0_10-plugins-good-0.10.31-85.9.x86_64
                                         (7/25),   1,3 MiB (estratto   4,6 MiB)
Recupero di: gstreamer-0_10-plugins-good-0.10.31-85.9.x86_64.rpm ......[errore]
File './Essentials/x86_64/gstreamer-0_10-plugins-good-0.10.31-85.9.x86_64.rpm' non trovato nel supporto 'http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_13.2/'                                                                           

Annullare, riprovare, ignorare? [a/r/i/? mostra tutte le opzioni] (a): i
Attenzione: Si è scelto di ignorare un problema con lo scaricamento o l'installazione di un pacchetto che potrebbe portare a non soddisfare le dipendenze di altri pacchetti. Si raccomanda di lanciare 'zypper verify' dopo che l'operazione è terminata.
Nella cache libswresample1-2.8.3-44.1.x86_64.rpm
                                         (8/25),  47,7 KiB (estratto 102,4 KiB)
Nella cache libavresample2-2.8.3-44.1.x86_64.rpm
                                         (9/25),  49,5 KiB (estratto 122,4 KiB)
Nella cache libpostproc53-2.8.3-44.1.x86_64.rpm
                                        (10/25),  50,6 KiB (estratto 118,3 KiB)
Nella cache libswscale3-2.8.3-44.1.x86_64.rpm
                                        (11/25), 135,4 KiB (estratto 502,4 KiB)
Nella cache libavcodec52-0.7.16-5.1.x86_64.rpm
                                        (12/25),   2,1 MiB (estratto   5,6 MiB)
Nella cache libswscale0-0.7.16-5.1.x86_64.rpm
                                        (13/25),  75,2 KiB (estratto 226,3 KiB)
Recupero di pacchetto libgstreamer-1_0-0-1.6.1-61.8.x86_64
                                        (14/25), 605,3 KiB (estratto   1,7 MiB)
Recupero di: libgstreamer-1_0-0-1.6.1-61.8.x86_64.rpm .................[errore]
File './Essentials/x86_64/libgstreamer-1_0-0-1.6.1-61.8.x86_64.rpm' non trovato nel supporto 'http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_13.2/'       

Annullare, riprovare, ignorare? [a/r/i/? mostra tutte le opzioni] (a): i
Attenzione: Si è scelto di ignorare un problema con lo scaricamento o l'installazione di un pacchetto che potrebbe portare a non soddisfare le dipendenze di altri pacchetti. Si raccomanda di lanciare 'zypper verify' dopo che l'operazione è terminata.
Recupero di pacchetto gstreamer-0_10-plugin-esd-0.10.31-85.9.x86_64
                                        (15/25),  55,6 KiB (estratto  18,6 KiB)
Recupero di: gstreamer-0_10-plugin-esd-0.10.31-85.9.x86_64.rpm ........[errore]
File './Essentials/x86_64/gstreamer-0_10-plugin-esd-0.10.31-85.9.x86_64.rpm' non trovato nel supporto 'http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_13.2/'                                                                             

Annullare, riprovare, ignorare? [a/r/i/? mostra tutte le opzioni] (a): i
Attenzione: Si è scelto di ignorare un problema con lo scaricamento o l'installazione di un pacchetto che potrebbe portare a non soddisfare le dipendenze di altri pacchetti. Si raccomanda di lanciare 'zypper verify' dopo che l'operazione è terminata.
Recupero di pacchetto gstreamer-0_10-plugins-good-extra-0.10.31-85.9.x86_64
                                        (16/25),  92,0 KiB (estratto 151,6 KiB)
Recupero di: gstreamer-0_10-plugins-good-extra-0.10.31-85.9.x86_64.rpm [errore]
File './Essentials/x86_64/gstreamer-0_10-plugins-good-extra-0.10.31-85.9.x86_64.rpm' non trovato nel supporto 'http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_13.2/'                                                                     

Annullare, riprovare, ignorare? [a/r/i/? mostra tutte le opzioni] (a): i
Attenzione: Si è scelto di ignorare un problema con lo scaricamento o l'installazione di un pacchetto che potrebbe portare a non soddisfare le dipendenze di altri pacchetti. Si raccomanda di lanciare 'zypper verify' dopo che l'operazione è terminata.
Nella cache libavcodec56-2.8.3-44.1.x86_64.rpm
                                        (17/25),   3,4 MiB (estratto   9,4 MiB)
Nella cache libavformat52-0.7.16-5.1.x86_64.rpm
                                       (18/25), 409,6 KiB (estratto 1009,5 KiB)
Recupero di pacchetto gstreamer-lang-1.6.1-61.8.noarch
                                        (19/25), 234,2 KiB (estratto   1,1 MiB)
Recupero di: gstreamer-lang-1.6.1-61.8.noarch.rpm .....................[errore]
File './Essentials/noarch/gstreamer-lang-1.6.1-61.8.noarch.rpm' non trovato nel supporto 'http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_13.2/'

Annullare, riprovare, ignorare? [a/r/i/? mostra tutte le opzioni] (a): i
Attenzione: Si è scelto di ignorare un problema con lo scaricamento o l'installazione di un pacchetto che potrebbe portare a non soddisfare le dipendenze di altri pacchetti. Si raccomanda di lanciare 'zypper verify' dopo che l'operazione è terminata.
Nella cache libavformat56-2.8.3-44.1.x86_64.rpm
                                        (20/25), 727,2 KiB (estratto   1,8 MiB)
Nella cache libavfilter1-0.7.16-5.1.x86_64.rpm
                                        (21/25), 159,4 KiB (estratto 398,8 KiB)
Nella cache libavfilter5-2.8.3-44.1.x86_64.rpm
                                        (22/25), 466,1 KiB (estratto   1,4 MiB)
Nella cache libavdevice52-0.7.16-5.1.x86_64.rpm
                                        (23/25),  30,6 KiB (estratto  61,5 KiB)
Nella cache libavdevice56-2.8.3-44.1.x86_64.rpm
                                        (24/25),  56,3 KiB (estratto 127,9 KiB)
Nella cache ffmpeg-2.8.3-44.1.x86_64.rpm
                                        (25/25),   1,3 MiB (estratto   1,9 MiB)
Installation has completed with error.

I can’t download some packets cause they are not in the Packman repo even though zypper and the desktop updating applet claim them to be in the repo. Fortunately running a zypper verify tells me that all dependencies are satisfied. How can I solve this problem?

Maybe the repo cache is outdated?
Try to run “sudo zypper ref” to refresh it.

And you should enable Auto-Refresh for the Packman repo at least, as it changes very often.
You can do that in YaST->Software Repositories or with “zypper mr -r xxx”.

Already done a refresh but nothing changes. The repo was already set to autorefresh in YaST. I’m checking the Packman repo and the packets my system is trying to install do not exist! For example zypper is trying to install *./Essentials/x86_64/libx264-148-0.148svn20150804-1.2.x86_64.rpm *but the only version listed is libx264-148-0.148svn20150804-1.1.x86_64.rpm! And so on with all the packets I can’t download from the repo. My system is trying to download upgraded versions of these files and I can’t figure out why. May this be related to a conflict between repos?

It might be that the mirror you use is inconsistent at the moment (i.e. the metadata has been updated, but not yet the packages), this should resolve itself in the next hours then.
I just updated my 13.2 system here without problems, but I’m using the packman.inode.at mirror.

Still, please post your repo list:

zypper lr -d

You might try to remove zypper’s caches completely though:

sudo zypper clean -a

(or just delete the folder /var/cache/zypp/)

Still, please post your repo list

Sure! Here it is:

 1 | X11_Bumblebee               | Bumblebee project (openSUSE_13.2)  | Sì        | (r ) Sì       | Sì            |   99     | rpm-md | http://download.opensuse.org/repositories/X11:/Bumblebee/openSUSE_13.2/  |         
 2 | download.opensuse.org-Extra | openSUSE BuildService - KDE:Extra  | Sì        | (r ) Sì       | Sì            |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_13.2/      |         
 3 | ftp.gwdg.de-suse            | Packman Repository                 | Sì        | (r ) Sì       | Sì            |   99     | rpm-md | http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_13.2/                 |         
 4 | home:Khyota                 | home:Khyota                        | No        | ----          | Sì            |   99     | rpm-md | http://download.opensuse.org/repositories/home:/Khyota/openSUSE_13.2/    |         
 5 | home:wusel1007              | home:wusel1007                     | No        | ----          | Sì            |   99     | rpm-md | http://download.opensuse.org/repositories/home:/wusel1007/openSUSE_13.2/ |         
 6 | openSUSE-13.2-0             | openSUSE-13.2-0                    | Sì        | ( p) Sì       | No            |   99     | yast2  | cd:///?devices=/dev/disk/by-id/ata-HL-DT-STDVDRAM_GT34N_KZMB53G1830      |         
 7 | opensuse-guide.org-repo     | libdvdcss repository               | No        | ----          | Sì            |   99     | rpm-md | http://opensuse-guide.org/repo/13.2/                                     |         
 8 | repo-debug                  | openSUSE-13.2-Debug                | No        | ----          | Sì            |   99     | NONE   | http://download.opensuse.org/debug/distribution/13.2/repo/oss/           |         
 9 | repo-debug-update           | openSUSE-13.2-Update-Debug         | No        | ----          | Sì            |   99     | NONE   | http://download.opensuse.org/debug/update/13.2/                          |         
10 | repo-debug-update-non-oss   | openSUSE-13.2-Update-Debug-Non-Oss | No        | ----          | Sì            |   99     | NONE   | http://download.opensuse.org/debug/update/13.2-non-oss/                  |         
11 | repo-non-oss                | openSUSE-13.2-Non-Oss              | Sì        | ( p) Sì       | Sì            |   99     | yast2  | http://download.opensuse.org/distribution/13.2/repo/non-oss/             |         
12 | repo-oss                    | openSUSE-13.2-Oss                  | Sì        | ( p) Sì       | Sì            |   99     | yast2  | http://download.opensuse.org/distribution/13.2/repo/oss/                 |         
13 | repo-source                 | openSUSE-13.2-Source               | No        | ----          | Sì            |   99     | NONE   | http://download.opensuse.org/source/distribution/13.2/repo/oss/          |         
14 | repo-update                 | openSUSE-13.2-Update               | Sì        | (r ) Sì       | Sì            |   99     | rpm-md | http://download.opensuse.org/update/13.2/                                |         
15 | repo-update-non-oss         | openSUSE-13.2-Update-Non-Oss       | Sì        | (r ) Sì       | Sì            |   99     | rpm-md | http://download.opensuse.org/update/13.2-non-oss/                        |         

You might try to remove zypper’s caches completely though

Made it but the issue still persists. Should I wait to see if this is related to the possible inconsistency of the repo at the moment?

I had exactly the same problem. It seems that gwdg.de is having some issues.
I changed Packman repo url to http://ftp.fau.de/packman/suse/openSUSE_13.2/ and everything works for me now. The list of Packman mirrors is here http://packman.links2linux.org/mirrors

Ciao

After I changed the repo url, everything went fine.

Thank you both guys for your precious help!!! :smiley: